Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.swt.core.plugin
Class LegacyAdditionalRendererService

    java.lang.Object
      org.eclipse.emfforms.internal.swt.core.plugin.LegacyAdditionalRendererService

All Implemented Interfaces:
  EMFFormsAdditionalRendererService<VElement>

    public class LegacyAdditionalRendererService

extends Object
implements EMFFormsAdditionalRendererService<VElement>

Renderer service which uses the extension point derivates.

Author:
  Eugen Neufeld

Constructor Summary
`LegacyAdditionalRendererService()`

Method Summary
`Collection<AbstractAdditionalSWTRenderer<VElement>>` | `getRendererInstances(VElement vElement, ViewModelContext viewModelContext)` Returns a collection of renderers.
`boolean` | `isApplicable(VElement vElement, ViewModelContext viewModelContext)` Check whether the provided `VElement` can be rendered by the `AbstractAdditionalSWTRenderer` provided by `EMFFormsAdditionalRendererService.getRendererInstances(VElement, ViewModelContext)`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LegacyAdditionalRendererService

    public LegacyAdditionalRendererService()

Method Detail

### isApplicable

    public boolean isApplicable(VElement vElement,
                                ViewModelContext viewModelContext)

  Check whether the provided `VElement` can be rendered by the `AbstractAdditionalSWTRenderer` provided by `EMFFormsAdditionalRendererService.getRendererInstances(VElement, ViewModelContext)`.

  Specified by:
    `isApplicable` in interface `EMFFormsAdditionalRendererService<VElement>`
  Parameters:
    `vElement` - The `VElement` to check
    `viewModelContext` - The `ViewModelContext` to use
  Returns:
    true if the AbstractAdditionalSWTRenderer fits, false otherwise
  See Also:
    `EMFFormsAdditionalRendererService.isApplicable(org.eclipse.emf.ecp.view.spi.model.VElement, org.eclipse.emf.ecp.view.spi.context.ViewModelContext)`

### getRendererInstances

    public Collection<AbstractAdditionalSWTRenderer<VElement>> getRendererInstances(VElement vElement,
                                                                                    ViewModelContext viewModelContext)

  Returns a collection of renderers.

  Specified by:
    `getRendererInstances` in interface `EMFFormsAdditionalRendererService<VElement>`
  Parameters:
    `vElement` - The `VElement` to create the renderer instance for
    `viewModelContext` - The `ViewModelContext` to use for the renderer instance
  Returns:
    The collection of AbstractAdditionalSWTRenderers
  See Also:
    `EMFFormsAdditionalRendererService.getRendererInstances(org.eclipse.emf.ecp.view.spi.model.VElement, org.eclipse.emf.ecp.view.spi.context.ViewModelContext)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.